- job:
    name: ldcg-bigdata-apache-drill
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-read
                - job-extended-read
            everyone-flat:
                - job-read
                - job-extended-read
                - job-build
                - job-cancel
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: true
    node: docker-stretch-arm64-ldcg
    display-name: 'DELETE ME'
    wrappers:
        - timestamps
        - credentials-binding:
            - text:
                credential-id: snapshots-api-key
                variable: PUBLISH_KEY
    builders:
        - shell:
            !include-raw: ldcg-bigdata-apache-drill/build.sh
        - shell: |
            #!/bin/bash

            # Publish
            test -d ${HOME}/bin || mkdir ${HOME}/bin
            wget -q https://git.linaro.org/ci/publishing-api.git/blob_plain/HEAD:/linaro-cp.py -O ${HOME}/bin/linaro-cp.py
            time python3 ${HOME}/bin/linaro-cp.py \
              --link-latest \
              out reference-platform/components/bigdata/apache-drill/${BUILD_NUMBER}

            rm -rf out
    publishers:
        - email:
            recipients: 'fathi.boudra@linaro.org marcin.juszkiewicz@linaro.org ganesh.raju@linaro.org'
